function AirAct()
	-- Start with an air attack on the first Russian position
	EnableAviation(0,-1);
	GiveCommand(36,201,0,5650,11200);
	EnableAviation(1,-1);
	Suicide();
end;

----------------------------------------------------------
function RevealObjective0()
	-- Show first objective - village of Turgov
	ObjectiveChanged(0, 0);
	Suicide();
end;

function Objective0()
	-- Once Turgov is taken, Germans get no more air attack capabilities
	if ( GetNUnitsInScriptGroup(13, 1) <= 0) then
		SetIGlobalVar("objective.0", 1);
		ObjectiveChanged(0, 1);
		DisableAviation(0,2);
		DisableAviation(0,3);
		DisableAviation(0,4);
		DisplayTrace("Signal from Luftwaffe: Soviet attack further north: we are to give that sector priority for our bombers.");
		Suicide();
	end;
end;
----------------------------------------------------------
function RevealObjective1()
	ObjectiveChanged(1, 0);
	Suicide();
end;

function Objective1()
	-- If Bialymansk is taken AND the counterattack force is defeated, then the objective is secured.
	if ((( GetNUnitsInScriptGroup(14, 1)) + ( GetNUnitsInScriptGroup(1000, 1)) + ( GetNUnitsInScriptGroup(1001, 1)) + ( GetNUnitsInScriptGroup(1002, 1)) + ( GetNUnitsInScriptGroup(1003, 1)) + ( GetNUnitsInScriptGroup(1004, 1)))  <= 0) then
		SetIGlobalVar("objective.1", 1);
		ObjectiveChanged(1, 1);
		Suicide();
	end;
end;
----------------------------------------------------------
function RevealObjective2()
	ObjectiveChanged(2, 0);
	Suicide();
end;

function Objective2()
	if ( GetNUnitsInScriptGroup(15, 1) <= 0) then
		SetIGlobalVar("objective.2", 1);
		ObjectiveChanged(2, 1);
		Suicide();
	end;
end;
----------------------------------------------------------
function RevealObjective3()
	ObjectiveChanged(3, 0);
	Suicide();
end;

function Objective3()
	ObjectiveChanged(3, 1);
	Suicide();
end;
----------------------------------------------------------
function FirstCtrAtt()
	if (GetNScriptUnitsInArea(2000,"Turgov") >= 2) then
		GiveCommand(3,101,5650,11200);
		GiveCommand(3,102,5650,11200);
		Suicide();
	end;
	if (GetNScriptUnitsInArea(2000,"LeftFlank") >= 2) then
		GiveCommand(3,101,9560,2880);
		GiveCommand(3,102,9560,2880);
		Suicide();
	end;
end;

function SecondCtrAtt()
	if (GetNScriptUnitsInArea(2000,"Bialymansk") >= 2) then
		RunScript( "AttackCycle",50000);
		Suicide();
	end;
end;

function AttackCycle()
	if ((GetIGlobalVar("AdvPos",0)) >= 21) then
		SetIGlobalVar("AdvPos",((GetIGlobalVar("AdvPos",0)) - 500));
		GiveCommand(3,1000,(GetIGlobalVar("AdvPos",0)),11600);
		GiveCommand(3,1001,(GetIGlobalVar("AdvPos",0)),11900);
		GiveCommand(3,1002,(GetIGlobalVar("AdvPos",0)),12200);
		GiveCommand(3,1003,(GetIGlobalVar("AdvPos",0) + 100),11700);
		GiveCommand(3,1004,(GetIGlobalVar("AdvPos",0) + 100),12100);
		GiveCommand(3,1101,(GetIGlobalVar("AdvPos",0)),11400);
		GiveCommand(3,1102,(GetIGlobalVar("AdvPos",0)),11200);
		GiveCommand(3,1103,(GetIGlobalVar("AdvPos",0)),12400);
		GiveCommand(3,1104,(GetIGlobalVar("AdvPos",0)),12600);
		GiveCommand(0,1201,(GetIGlobalVar("AdvPos",0) + 400),11600);
		GiveCommand(0,1202,(GetIGlobalVar("AdvPos",0) + 400),12200);
		GiveCommand(0,1203,(GetIGlobalVar("AdvPos",0) + 800),11900);
	end;
end;
----------------------------------------------------------
function ToWin()
	if ( (GetIGlobalVar("objective.0", 0) * GetIGlobalVar("objective.1", 0) * GetIGlobalVar("objective.2", 0)) == 1) then
		Win(0);
		Suicide();
	end;
end;

function TobeDefeated()
	if ( GetNUnitsInScriptGroup(2000, 0) <= 0) then
		Loose();
		Suicide();
	end;
end;
----------------------------------------------------------
function Init()
	DisplayTrace("Bialymansk");
	DisplayTrace("An All Units Mod Mission by LouisXIV");
	SetIGlobalVar("AdvPos",15000);
	RunScript( "AirAct", 15000);
	RunScript( "Objective3", 12000);
	RunScript( "Objective0", 4000);
	RunScript( "Objective1", 4000);
	RunScript( "Objective2", 4000);
	RunScript( "RevealObjective3", 2000);
	RunScript( "RevealObjective0", 12000);
	RunScript( "RevealObjective1", 17000);
	RunScript( "RevealObjective2", 22000);
	RunScript( "ToWin", 4000);
	RunScript( "TobeDefeated", 4000);
	RunScript( "FirstCtrAtt",6000);
	RunScript( "SecondCtrAtt",6000);
end;
